Package org.eclipse.net4j.util.event

## Class ExecutorServiceNotifier.ThreadPool

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.event.ExecutorServiceNotifier
    - - org.eclipse.net4j.util.event.ExecutorServiceNotifier.ThreadPool

- All Implemented Interfaces:
    `IExecutorServiceProvider`, `INotifier`, `INotifier.INotifier2`
  Enclosing class:
    ExecutorServiceNotifier

      @Deprecated
      public static class ExecutorServiceNotifier.ThreadPool
      extends ExecutorServiceNotifier

  Deprecated.
  Deprecated.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.ExecutorServiceNotifier

      `ExecutorServiceNotifier.ThreadPool`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThreadPool()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.event.ExecutorServiceNotifier

      `getExecutorService, getNotificationService, setNotificationExecutorService`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadPool

          public ThreadPool()

      Deprecated.